import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

import { ApplicationConfigService } from 'app/core/config/application-config.service';

@Injectable({ providedIn: 'root' })
export class UtilityService {
  private resourceUrl = this.applicationConfigService.getEndpointFor('api/admin/utility');

  constructor(private http: HttpClient, private applicationConfigService: ApplicationConfigService) {}

  syncEntities(): Observable<string[]> {
    return this.http.delete<string[]>(this.resourceUrl + '/syncEntities');
  }
}
