import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { ReviewRatingComponent } from '../list/review-rating.component';
import { ReviewRatingDetailComponent } from '../detail/review-rating-detail.component';
import { ReviewRatingUpdateComponent } from '../update/review-rating-update.component';
import { ReviewRatingRoutingResolveService } from './review-rating-routing-resolve.service';

const reviewRatingRoute: Routes = [
  {
    path: '',
    component: ReviewRatingComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: ReviewRatingDetailComponent,
    resolve: {
      reviewRating: ReviewRatingRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: ReviewRatingUpdateComponent,
    resolve: {
      reviewRating: ReviewRatingRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: ReviewRatingUpdateComponent,
    resolve: {
      reviewRating: ReviewRatingRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(reviewRatingRoute)],
  exports: [RouterModule],
})
export class ReviewRatingRoutingModule {}
