import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpHeaders, HttpResponse } from '@angular/common/http';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { of } from 'rxjs';

import { UserWatchListService } from '../service/user-watch-list.service';

import { UserWatchListComponent } from './user-watch-list.component';

describe('UserWatchList Management Component', () => {
  let comp: UserWatchListComponent;
  let fixture: ComponentFixture<UserWatchListComponent>;
  let service: UserWatchListService;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      declarations: [UserWatchListComponent],
    })
      .overrideTemplate(UserWatchListComponent, '')
      .compileComponents();

    fixture = TestBed.createComponent(UserWatchListComponent);
    comp = fixture.componentInstance;
    service = TestBed.inject(UserWatchListService);

    const headers = new HttpHeaders();
    jest.spyOn(service, 'query').mockReturnValue(
      of(
        new HttpResponse({
          body: [{ id: 123 }],
          headers,
        })
      )
    );
  });

  it('Should call load all on init', () => {
    // WHEN
    comp.ngOnInit();

    // THEN
    expect(service.query).toHaveBeenCalled();
    expect(comp.userWatchLists?.[0]).toEqual(expect.objectContaining({ id: 123 }));
  });
});
